Summary:	Decompressor for .arj format archives
Summary(de.UTF-8):	Dekomprimierer für .arj-Archive
Summary(es.UTF-8):	Descompresor para archivos en formato .arj
Summary(fr.UTF-8):	Décompresseur pour les archives .arj
Summary(pl.UTF-8):	Program rozpakowujący archiwa ARJ
Summary(pt_BR.UTF-8):	Descompactador para arquivos no formato .arj
Summary(ru.UTF-8):	Декомпрессор для архивных файлов формата .arj
Summary(tr.UTF-8):	ARJ biçimindeki arşivleri açan araç
Summary(uk.UTF-8):	Декомпресор для архівних файлів формату .arj
Name:		unarj
Version:	2.63a
Release:	5
License:	distributable
Group:		Applications/Archiving
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/compress/%{name}-%{version}.tar.gz
# Source0-md5:	a83d139c245f911f22cb1b611ec9768f
Patch0:		%{name}-opt.patch
Patch1:		%{name}-overflow.patch
Patch2:		%{name}-path.patch
Patch3:		format-security.patch
Patch4:		types.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The unarj program is used to uncompress .arj format archives, which
were somewhat popular on DOS based machines.

%description -l de.UTF-8
Das Programm 'unarj' dient zum Dekomprimieren von Archiven im
.arj-Format, das auf DOS-Rechnern einigermaßen beliebt ware.

%description -l es.UTF-8
El programa unarj se usa para descomprimir almacenajes en formato
.arj, que era algo popular en máquinas DOS.

%description -l fr.UTF-8
Le programme unarj est utilisé pour décompresser des archives au
format .arj, qui ont été très répandeus sur les systèmes DOS.

%description -l pl.UTF-8
Program unarj umożliwa rozpakowanie archiwów w formacie ARJ,
popularnym w systemach opartych o DOS.

%description -l pt_BR.UTF-8
O programa unarj é usado para descomprimir armazenagens em formato
.arj, que era algo popular em máquinas DOS.

%description -l ru.UTF-8
Программа unarj используется для декомпрессии архивов формата .arj,
популярного преимущественно в мире DOS.

%description -l tr.UTF-8
unarj, arj biçimindeki arşivler için açma programıdır. ARJ, DOS
tabanlı makinelerde sıkça kullanılan bir sıkıştırma biçimidir.

%description -l uk.UTF-8
Програма unarj використовується для декомпресії архівів формату .arj,
популярного переважно в світі DOS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="-Wall -ansi -pedantic -DUNIX %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install unarj $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc technote.txt unarj.txt
%attr(755,root,root) %{_bindir}/unarj
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/unarj.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b4a2fae
- x32 rebuild
- release 5 (by relup.sh)

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> d4393df
- fix format string errors
- fix various types redefinitions and incorrect usage

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 16a8c72
- dropped pre-cvs changelog

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 3449661
- rel 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 864e8fd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 07897d1
- converted to UTF-8

* Mon Nov 29 2004 undefine <undefine@pld-linux.org> f8aab27
- patches from fedora to fix CAN-2004-0947 CAN-2004-1027

* Mon Nov 29 2004 undefine <undefine@pld-linux.org> a82ad63
- patches from fedora to fix:
  CAN-2004-0947 unarj-overflow.patch
  CAN-2004-1027 unarj-path.patch
- release 3

* Fri Nov 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 27bd498
- security note

* Thu Nov 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 09165b9
- CC fix, preamble unification

* Mon Aug 09 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 78aa987
- rel 2

* Tue May 27 2003 trojan <trojan@pld-linux.org> 12a42e3
- added Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 8ab97c3
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Jul 07 2002 Jakub Bogusz <qboosh@pld-linux.org> 112fbe5
- already in unarj 2.63a sources

* Sun Jul 07 2002 Jakub Bogusz <qboosh@pld-linux.org> c1a67b8
- updated to 2.63a, removed obsolete subdir patch

* Sat May 25 2002 Jakub Bogusz <qboosh@pld-linux.org> 1d7a7f1
- new %%doc

* Sat May 25 2002 kloczek <kloczek@pld-linux.org> 15ec6ea
- release 11,
- merge subdir patch from rawhide for subdirectory creation for the x command,
- merge translations from KSI,
- make clean before start building unarj (dist tar ball contain x86 binaries).

* Sat May 25 2002 kloczek <kloczek@pld-linux.org> 5b3d35a
- subdirectory creation for the x command. Also fixed some compiler warnings.
  Patch stolen from rawhide).

* Sun May 12 2002 ankry <ankry@pld-linux.org> 9d65150
- Caps in description

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 20e2a81
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

